Package org.pushingpixels.lafwidget.text

# Interface PasswordStrengthChecker

public interface PasswordStrengthChecker
Specifies the interface for the password strength checkers.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription(LafConstants.PasswordStrength strength)`
Returns the description of the password strength.
`LafConstants.PasswordStrength`
`getStrength(char[] password)`
Computes the strength of the specified password.

## Method Details

### getStrength

LafConstants.PasswordStrength getStrength(char[] password)
Computes the strength of the specified password.

Parameters:
  `password` - Password.
Returns:
  Password strength.

### getDescription

String getDescription(LafConstants.PasswordStrength strength)
Returns the description of the password strength. The returned value can contain HTML constructs and will be used as popup text on the strength-check enabled password fields.

Parameters:
  `strength` - Password strength.
Returns:
  The description of the specified password strength.